OBAngleData Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends
OBAngleData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBAngleData:
[legend]

List of all members.

## Public Member Functions
OBAngleData & | operator= (const OBAngleData &)
virtual OBGenericData * | Clone (OBBase *) const
void | Clear ()
unsigned int | FillAngleArray (int **angles, unsigned int &size)
bool | FillAngleArray (std::vector< std::vector< unsigned int > > &angles)
void | SetData (OBAngle &)
size_t | GetSize () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Protected Member Functions
| OBAngleData ()
| OBAngleData (const OBAngleData &)
std::vector< OBAngle > | GetData () const
## Protected Attributes
std::vector< OBAngle > | _angles
std::string | _attr
unsigned int | _type
DataOrigin | _source
## Friends
class | OBMol

## Detailed Description

Used to hold all angles in a molecule as generic data for OBMol.

## Constructor & Destructor Documentation

OBAngleData | ( |  | ) | `[protected]`

OBAngleData constructor.

OBAngleData | ( | const OBAngleData & | src | ) | `[protected]`

OBAngleData copy constructor.

## Member Function Documentation

std::vector<OBAngle> GetData | ( |  | ) | const`[inline, protected]`

Gets the angle vector data.

Returns:
  a vector<OBAngle>

OBAngleData & operator= | ( | const OBAngleData & | src | ) |

OBAngleData assignment operator.

virtual OBGenericData* Clone | ( | OBBase * |  | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

void Clear | ( | void |  | ) |

sets OBAngleData to its original state

unsigned int FillAngleArray | ( | int ** | angles,
|  | unsigned int & | size
| ) |  |

Fills an array with the indices of the atoms in the angle (vertex first)

Parameters:

  angles | pointer to the pointer to an array of angles atom indices
  size | the current number of rows in the array

Returns:
  int The number of angles

Referenced by OBMolAngleIter::OBMolAngleIter().

bool FillAngleArray | ( | std::vector< std::vector< unsigned int > > & | angles | ) |

Fills an array with the indices of the atoms in the angle (vertex first)

Parameters:

  angles | pointer to the pointer to an array of angles atom indices

Returns:
  True if successful

void SetData | ( | OBAngle & | angle | ) |

Adds a new angle to OBAngleData.

Referenced by OBMol::FindAngles().

size_t GetSize | ( |  | ) | const`[inline]`

Gets the number of angles stored

Returns:
  integer count of the number of angles

void SetAttribute | ( | const std::string & | v | ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s | ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( |  | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( |  | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( |  | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBPairData, and OBCommentData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( |  | ) | const`[inline, virtual, inherited]`

## Friends And Related Function Documentation

friend class OBMol`[friend]`

## Member Data Documentation

std::vector<OBAngle> _angles`[protected]`

Referenced by OBAngleData::Clear(), OBAngleData::FillAngleArray(), OBAngleData::operator=(), and OBAngleData::SetData().

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), and OBChiralData::operator=().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines